## mx4j.tools.remote.http
Class HTTPConnector

    java.lang.Object
      mx4j.tools.remote.AbstractJMXConnector
          mx4j.tools.remote.http.HTTPConnector

All Implemented Interfaces:
  javax.management.remote.JMXConnector, java.io.Serializable

Direct Known Subclasses:
  BurlapConnector, HessianConnector, SOAPConnector

public abstract class HTTPConnector
extends AbstractJMXConnector

Version:
  $
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.management.remote.JMXConnector
`CREDENTIALS`

Constructor Summary
`protected` `HTTPConnector(javax.management.remote.JMXServiceURL address)`

Method Summary
`protected HeartBeat` `createHeartBeat(HTTPConnection connection, ConnectionNotificationEmitter emitter, java.util.Map environment)`
`protected RemoteNotificationClientHandler` `createRemoteNotificationClientHandler(HTTPConnection connection, ConnectionNotificationEmitter emitter, HeartBeat heartbeat, java.util.Map environment)`
`protected void` `doClose()` Template method to be implemented by subclasses to close this JMXConnector
`protected void` `doConnect(java.util.Map environment)`
`java.lang.String` `getConnectionId()`
`protected HTTPConnection` `getHTTPConnection()`
`RemoteNotificationClientHandler` `getRemoteNotificationClientHandler()`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnector
`addConnectionNotificationListener, close, connect, connect, createConnectionNotificationEmitter, doGetMBeanServerConnection, getAddress, getConnectionNotificationEmitter, getMBeanServerConnection, getMBeanServerConnection, isClosed, isConnected, removeConnectionNotificationListener, removeConnectionNotificationListener, sendConnectionNotificationClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPConnector

    protected HTTPConnector(javax.management.remote.JMXServiceURL address)
                     throws java.io.IOException

Method Detail

### doConnect

    protected void doConnect(java.util.Map environment)
                      throws java.io.IOException,
                             java.lang.SecurityException

  Specified by:
    `doConnect` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`
    `java.lang.SecurityException`

### createHeartBeat

    protected HeartBeat createHeartBeat(HTTPConnection connection,
                                        ConnectionNotificationEmitter emitter,
                                        java.util.Map environment)

### createRemoteNotificationClientHandler

    protected RemoteNotificationClientHandler createRemoteNotificationClientHandler(HTTPConnection connection,
                                                                                    ConnectionNotificationEmitter emitter,
                                                                                    HeartBeat heartbeat,
                                                                                    java.util.Map environment)

### doClose

    protected void doClose()
                    throws java.io.IOException

  Description copied from class: `AbstractJMXConnector`
  Template method to be implemented by subclasses to close this JMXConnector

  Specified by:
    `doClose` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`

### getConnectionId

    public java.lang.String getConnectionId()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHTTPConnection

    protected HTTPConnection getHTTPConnection()

### getRemoteNotificationClientHandler

    public RemoteNotificationClientHandler getRemoteNotificationClientHandler()

Copyright © 2001-2003 MX4J Team. All Rights Reserved.